#!/bin/bash

pwd

# patiets No = ???????
for Patient in ???????

do
echo "${Patient}"
echo "Now, running dcm2niix process"
date

# converting DCM to NII
dcm2niix -z y -i y ${Patient}

# Getting into Patient directory
cd ./${Patient}/

# Maling DT directory
mkdir DT
mkdir T1

# settinbg files accorind to the numbers as appropriate
cp *_?_?_ep2d_diff_b_0+*_*dir_*.bval ./DT/bvals
cp *_?_?_ep2d_diff_b_0+*_*dir_*.bvec ./DT/bvecs
cp *_?_?_ep2d_diff_b_0+*_*dir_*.nii.gz ./DT/i.nii.gz
cp *_?_?_ep2d_diff_b_0+*_*dir_*.json ./DT/i.json
cp *_P_A_ep2d_diff_b_0_*dir_*.nii.gz ./DT/2vols_b0_PA.nii.gz
cp *_P_A_ep2d_diff_b_0_*dir_*.json ./DT/2vols_b0_PA.json
cp *_A_P_ep2d_diff_b_0_*dir_*.nii.gz ./DT/2vols_b0_AP.nii.gz
cp *_A_P_ep2d_diff_b_0_*dir_*.json ./DT/2vols_b0_AP.json
cp *_t1_mpr_sag_*.nii.gz ./T1/i.nii.gz
cp *_t1_mpr_sag_*.json ./T1/i.json

# cleaning up on-the-way items
rm *.nii.gz
rm *.bval
rm *.bvec
rm *.json

# back to working directory
cd ../
done

echo "Finishing dcm2niix process"
pwd
date
